#ifndef ALLOCN_H
#define ALLOCN_H


template <class T, int N>
class Allocator
{
private:
  Allocator<T,N>& operator=(Allocator<T,N>&); // Not used
public:
    
  Inline Allocator() {};
  Inline Allocator(int n);
  Inline T* allocate(void);
  Inline void deallocate(T* s);
  Inline ~Allocator();
};

template <class T, int N>
Inline  Allocator<T,N>::Allocator(int n)
{
}


template <class T, int N>
Inline T*  Allocator<T,N>::allocate(void)
{
  return new T[N];
}


template <class T, int N>
Inline void Allocator<T,N>::deallocate(T* s)
{
  delete [] s;
}

template <class T, int N>
Inline  Allocator<T,N>::~Allocator()
{
}


#endif 
// Local Variables:
// mode: c++
// End:
